{% extends 'gabaries/page.html.twig' %}
{% import "macros/rating.twig" as rating %}
{% import "macros/comment.twig" as commentary %}
{% import "macros/product_meta.twig" as meta %}

{% block title %}Hello ProductController!
{% endblock %}

{% block body %}

    <div class="row my-5">
        <div class="col-1 d-flex flex-column content-jsutify-center ">
            {% for i in 1..6 %}
                <img src="https://placehold.co/100x90" alt="" class="img-thumbnail">
            {% endfor %}
        </div>
        <div class="col-5"><img src="https://placehold.co/400x400" class="w-100 img-thumbnail" alt="..."></div>
        <div class="col-6">
            <h2 class="mb-4">{{ product.name }}</h2>
            <div class="row">
                <div class="col-4">
                    <p class="h3 roboto text-danger">
                        {{ '$ '~ product.price|number_format }}
                    </p>
                </div>
                <div class="col-8">
                    <p class="">
                        {{ rating.starsRate(0,4, 'h5') }}
                        <span class="text-secondary fst-italic">
                            <b>23</b>
                            Comments</span>
                    </p>
                </div>
            </div>

            <p class="mb-3">{{ product.description }}</p>

            <div class="mb-3">
                <h6>Colors</h6>
                {{ meta.color(['danger', 'success', 'warning', 'white', 'dark'], 'white') }}
            </div>
            <div class="mb-3">
                <h6>Size</h6>
                {{ meta.sizing(['S', 'M', 'L', 'XL', 'XXL'], 'XL') }}
            </div>

            <form action="" style="width:200px">
                <div class="input-group rounded-0 ">
                    <input type="number" class="form-control border-dark text-danger" value="1" max="10" aria-describedby="button-addon2">
                    <button class="btn btn-dark" type="button" id="button-addon2">
                        <i class="bi bi-cart-plus"></i>
                        Add to cart</button>
                </div>
            </form>

        </div>
    </div>

    <div class="my-5">
        <ul class="nav nav-tabs" id="myTab" role="tablist">
            <li class="nav-item" role="presentation">
                <button class="nav-link" id="home-tab" data-bs-toggle="tab" data-bs-target="#home-tab-pane" type="button" role="tab" aria-controls="home-tab-pane" aria-selected="true">Description</button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="nav-link" id="profile-tab" data-bs-toggle="tab" data-bs-target="#profile-tab-pane" type="button" role="tab" aria-controls="profile-tab-pane" aria-selected="false">Details</button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="nav-link active" id="contact-tab" data-bs-toggle="tab" data-bs-target="#contact-tab-pane" type="button" role="tab" aria-controls="contact-tab-pane" aria-selected="false">Views</button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="nav-link" id="disabled-tab" data-bs-toggle="tab" data-bs-target="#disabled-tab-pane" type="button" role="tab" aria-controls="disabled-tab-pane" aria-selected="false" disabled>Disabled</button>
            </li>
        </ul>
        <div class="tab-content" id="myTabContent">
            <div class="tab-pane fade py-3" id="home-tab-pane" role="tabpanel" aria-labelledby="home-tab" tabindex="0">{{ product.description }}</div>
            <div class="tab-pane fade bg-light py-3" id="profile-tab-pane" role="tabpanel" aria-labelledby="profile-tab" tabindex="0">
                <div class="row">
                    {% for a in 1..2 %}
                        <div class="col-6 p-3">
                            <table class="table table-striped">
                                <tbody>
                                    {% for i in 1..5 %}
                                        <tr>
                                            <th scope="row">Product detail #{{i}}</th>
                                            <td class="text-secondary">Mark</td>
                                        </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    {% endfor %}
                </div>
            </div>
            <div class="tab-pane fade show active py-3" id="contact-tab-pane" role="tabpanel" aria-labelledby="contact-tab" tabindex="0">
                <div class="row">
                    <div class="col-4 p-3">
                        <h4>23 Customer reviews</h4>
                        <div class="rating my-2">
                            {{ rating.starsRate(3,1, 'h5') }}
                            <span class="ms-3 font-roboto">3.5/5</span>
                        </div>

                        {% for i in 1..5 %}
                            <div class="my-4">
                                <span class="text-dark">{{ 6 - i }}
                                    Etoiles</span>
                                <div class="progress ">
                                    <div class="progress-bar" role="progressbar" aria-label="Example with label" style="width: 25%;" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100">25%</div>
                                </div>
                            </div>
                        {% endfor %}

                    </div>
                    <div class="col-8" style="max-height: 500px; overflow: auto">
                        {{ commentary.list('') }}
                    </div>
                </div>
            </div>
            <div class="tab-pane fade" id="disabled-tab-pane" role="tabpanel" aria-labelledby="disabled-tab" tabindex="0">...</div>
        </div>
    </div>
{% endblock %}
